<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Formularios</title>
</head>

<h1>Formularios</h1>
<form action="" id="form" name="form" method="POST">
    <label for="nombre">Nombre</label>
    <input type="text" id="nombre"><br />

    <label for="apellido">Apellido</label>
    <input type="text" id="apellido"><br />

    <label for="email">Email</label>
    <input type="text" id="email"><br />

    <label for="edad">Edad</label>
    <input type="text" id="edad"><br />

    <label for="pais">Pais</label>
    <select name="pais" id="pais">
        <option value="Argentina">Argentina</option>
        <option value="Brasil">Brasil</option>
        <option value="Chile">Chile</option>
        <option value="Colombia">Colombia</option>
        <option value="Mexico">Mexico</option>
        <option value="Peru">Peru</option>
    </select>
    <br />
    <br />

    Sexo <br />
    <label for="sexo1">Masculino</label>
    <input type="radio" name="sexo" id="sexo1" value="Masculino">
    <br />
    <label for="sexo2">Femenino</label>
    <input type="radio" name="sexo" id="sexo2" value="Femenino">
    <br />
    <label for="sexo3">Prefiero no contestar</label>
    <input type="radio" name="sexo" id="sexo3" value="PNC">

    <br />
    <br />

    Hobbies <br />
    <label for="hobbies1">Futbol</label>
    <input type="checkbox" name="hobbies" id="hobbies1" value="futbol"><br />
    <label for="hobbies2">Basket</label>
    <input type="checkbox" name="hobbies" id="hobbies2" value="Basket"><br />
    <label for="hobbies3">Tennis</label>
    <input type="checkbox" name="hobbies" id="hobbies3" value="tennis"><br />
    <label for="hobbies4">Beisbol</label>
    <input type="checkbox" name="hobbies" id="hobbies4" value="beisbol"><br />
    <label for="hobbies5">Otros</label>
    <input type="checkbox" name="hobbies" id="hobbies5" value="otros">

    <br />
    <br />

    <label for="comentario">Comentarios</label>
    <textarea name="comentario" id="comentario" cols="30" rows="10"></textarea>

    <br />
    <br />
    <input type="button" name="ver_resultados" id="ver_resultados" value="Ver resultados">
</form>

<script>
    document.getElementById("ver_resultados").addEventListener('click', function () {
        var nombre = document.getElementById("nombre").value;
        var apellido = document.getElementById("apellido").value;
        var email = document.getElementById("email").value;
        var edad = document.getElementById("edad").value;
        var pais = document.getElementById("pais").value;

        var comentarios = document.getElementById('comentario').value;

        var resultado = `
            Nombre: ${nombre}
            Apellido: ${apellido}
            Email: ${email}
            Edad: ${edad}
            Pais: ${pais}
            Comentarios: ${comentarios}
        `;

        console.log(resultado);
    });
</script>

</body>

</html>